phing-util-regexp

# Class: Regexp Source Location: /util/regexp/Regexp.php
### Class Overview
A factory class for regex functions. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 526 $ | ### Methods __construct getGroup getGroups getIgnoreCase getPattern getReplace matches replace setIgnoreCase setPattern setReplace
### Class Details [line 28] A factory class for regex functions. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 526 $
[ Top ] ### Class Methods ### constructor __construct [line 58]
`Regexp __construct( [ $engineType = 'preg'], string $_engineType)`
Constructor sets the regex engine to use (preg by default). #### Parameters:
string | $_engineType | The regex engine to use.
| $engineType |
[ Top ] ### method getGroup [line 143]
`string getGroup( integer $idx)`
Get specific matched group. #### Tags:
return: | specified group or NULL if group is not set.
#### Parameters:
integer | $idx |
[ Top ] ### method getGroups [line 134]
`array getGroups( )`
Get array of matched groups. #### Tags:
return: | Matched groups
[ Top ] ### method getIgnoreCase [line 163]
`boolean getIgnoreCase( )`
Gets whether the regexp matching is case insensitive. [ Top ] ### method getPattern [line 84]
`string getPattern( )`
Gets pattern to use for matching. #### Tags:
return: | The pattern to match on.
access: | public
[ Top ] ### method getReplace [line 102]
`string getReplace( )`
Gets replacement string. #### Tags:
return: | The pattern to replace matches with.
access: | public
[ Top ] ### method matches [line 111]
`boolean matches( string $subject)`
Performs match of specified pattern against $subject. #### Tags:
return: | Whether or not pattern matches subject string passed.
access: | public
#### Parameters:
string | $subject | The subject, on which to perform matches.
[ Top ] ### method replace [line 123]
`string replace( string $subject)`
Performs replacement of specified pattern and replacement strings. #### Tags:
return: | subject after replacement has been performed.
access: | public
#### Parameters:
string | $subject | Text on which to perform replacement.
[ Top ] ### method setIgnoreCase [line 155]
`void setIgnoreCase( boolean $bit)`
Sets whether the regexp matching is case insensitive. (default is false -- i.e. case sensisitive) #### Parameters:
boolean | $bit |
[ Top ] ### method setPattern [line 75]
`void setPattern( string $pat)`
Sets pattern to use for matching. #### Tags:
access: | public
#### Parameters:
string | $pat | The pattern to match on.
[ Top ] ### method setReplace [line 93]
`void setReplace( string $rep)`
Sets replacement string. #### Tags:
access: | public
#### Parameters:
string | $rep | The pattern to replace matches with.
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:52 +0200 by phpDocumentor 1.4.3